{
  template: '${tmpl}',
    data: function() {
      return {
        name: '',
        path: {
          path: `/${this.$root.channelName}/jdindustry`
        },
        company: {},
        input: '',
        value1: '',
        options1: [{
          value: '北京',
          label: '北京'
        }, {
          value: '上海',
          label: '上海'
        }, {
          value: '广州',
          label: '广州'
        }, {
          value: '深圳',
          label: '深圳'
        }, {
          value: '杭州',
          label: '杭州'
        }, {
          value: '成都',
          label: '成都'
        }],
        value2: '',
        options2: [
          {
            value: '文化',
            label: '文化'
          },
          {
            value: '科技',
            label: '科技'
          },
          {
            value: '管理',
            label: '管理'
          },
          {
            value: '咨询',
            label: '咨询'
          },
          {
            value: '服务',
            label: '服务'
          },
          {
            value: '传媒',
            label: '传媒'
          },
          {
            value: '影业',
            label: '影业'
          },
          {
            value: '贸易',
            label: '贸易'
          },
          {
            value: '广告',
            label: '广告'
          },
          {
            value: '教育',
            label: '教育'
          },
          {
            value: '设计',
            label: '设计'
          }
        ],
        value3: '',
        options3: [{
          value: '有限公司',
          label: '有限公司'
        }, {
          value: '股份有限公司',
          label: '股份有限公司'
        }, {
          value: '集团公司',
          label: '集团公司'
        }],
        findStatus: null,
        /** 判断返回数据是否有key值*/
        nuans: null,
        showBtm: false,
        count: 0,
      }
    },
  mounted: function() {

    var params = this.$router.history.current.query.obj;
    console.log(params, "xxxxxxxxxxxxxxxxxxxxxxxx");
    if (params) {
      var params = JSON.parse(params);
      if (params.cityname != '选择城市' || params.btname != '选择行业' || params.orgname != '选择类型') {
        this.name = params.cityname + params.keyword + params.btname + params.orgname;
        this.value1 = params.cityname;
        this.input = params.keyword;
        this.value2 = params.btname;
        this.value3 = params.orgname;
        var this_ = this;
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        });
        this.searchResult();
      }
    }
  },
  created: function() {

  },
  methods: {
    searchResult() {
      var obj = {
        "cityname": this.value1,
        "keyword": this.input,
        "btname": this.value2,
        "orgname": this.value3,
        "sitcity": 1
      };
      this.name = obj.cityname + obj.keyword + obj.btname + obj.orgname;
      var this_ = this;
      const loading = this.$loading({
        lock: true,
        text: 'Loading',
        spinner: 'el-icon-loading',
        background: 'rgba(0, 0, 0, 0.7)'
      });
      var obj = this.$root.copyParams(obj, "icheming", "/action/tmQuery/springBoard");
      this.$root.postReq("/web/trademark/tmqueryCtl/doPost", obj).then(function (d) {
        loading.close();
        if (d.status == 0) {
          console.log(d.data);
          this_.company = d.data;
          this_.findStatus = d.status;
          this_.nuans = Object.keys(d.data).length;
          if (this_.nuans > 0) {
            d.data.similarCityList.length == 0 ? this_.showBtm = true : this_.showBtm = false;
            this_.count = d.data.similarCityList.length;
          }
        }

      })
    },
    toService(){
      location.href = 'https://jdcs.jd.com/agile/MTAxMDMwNDcx';
    },
    toRegister(){
      this.$router.push('/jd/jdindustry');
    }
  },
  vname: "gsb-icorder"
}
